Name:		avra
Version:	1.2.3
Release:	4%{?dist}
Summary:	Atmel AVR assembler

Group:		Applications/Engineering
License:	GPLv2+
URL:		http://avra.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/avra/avra/%{version}/avra-%{version}a-src.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dos2unix
BuildRequires:	unzip

%description
Avra is an assembler for Atmel's AVR 8-bit RISC microcontollers.
It is mostly compatible with Atmel's own assembler, but provides new features
such as better macro support and additional preprocessor directives.
This package also contains various device definition files.


%prep
%setup -q
rm avra

aclocal
autoconf
automake -a

# Fix up encoding of documentation
dos2unix -k AUTHORS
iconv -f ISO-8859-1 -t UTF-8 README -o README.new
touch -r README README.new
mv README.new README

# Unpack include files
unzip AVR000.zip -d include

# Fix permissions and encoding of examples
chmod 644 Example/*
dos2unix -k Example/*


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL="%{_bindir}/install -p" DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/
install -p -m 0644 include/*.inc $RPM_BUILD_ROOT/usr/share/%{name}-%{version}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS TODO README ChangeLog COPYING Example
%{_datadir}/%{name}-%{version}
%{_bindir}/%{name}


%changelog
* Tue Sep 29 2009 Alex Musolino <musolinoa@gmail.com> - 1.2.3-4
- Pass `install` arguments to make via command line arguments

* Fri Sep 25 2009 Alex Musolino <musolinoa@gmail.com> - 1.2.3-3
- Moved build preperation commands to %%prep section
- Retain timestamps throughout
- Mentioned device definitions in %%description

* Sun Sep 20 2009 Alex Musolino <musolinoa@gmail.com> - 1.2.3-2
- Added examples
- Added include files

* Sat Sep 19 2009 Alex Musolino <musolinoa@gmail.com> - 1.2.3-1
- Initial RPM package
